%global npmname optimist
%global npminstdir /usr/lib/node_modules/%{npmname}
%global deplist wordwrap

Summary: Light-weight option parsing with an argv hash
Name: nodejs-%{npmname}
Version: 0.3.5
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/substack/node-optimist
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Requires: nodejs-wordwrap >= 0.0.2
Provides: nodejs-%{npmname} = %{version}

%description
Optimist is a node.js library for option parsing for people who hate option
parsing. More specifically, this module is for people who like all the --bells
and -whistlz of program usage but think optstrings are a waste of time.

%prep
%setup -q -n package

%build

%install
# Setup and copy packages over
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{npminstdir}
cp -pr .travis.yml x.js index.js package.json %{buildroot}/%{npminstdir}

# Setup the dependancies
cd %{buildroot}/%{npminstdir}
mkdir node_modules
for depend in %{deplist}
do
  ln -s /usr/lib/node_modules/$depend node_modules/$depend
done

# Run the scripts (except test scripts)

# Setup Binaries

%files
%doc README.markdown LICENSE example
%{npminstdir}

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.3.5-1
- Initial build using tchor spec template

